# Cleaning the cache

If you're going to change templates, you need to know one thing and remember it: after writing your changes and before you test them, you will need to delete the contents of the `app/cache/twig/` directory.

Otherwise, the cache will stick around and you won't see any (or you'll see only some) of your changes, which could make you believe they didn't take effect.

This cleanup is also executed when using the "Archive/Cache cleanup" option on the main administration screen of your Chamilo portal ("System" block).

Alternatively, you can use Chash (a command line tool for Chamilo) with the command:

```
chash files:clean_temp_folder
```

That is, if you have Chash[6](https://github.com/chamilo/chash) installed.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.chamilo.org/1.11.x/developer-guide/theming_through_templates/cleaning_the_cache.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
